<table class="library">
    <tr>
        <th>Prefix</th>
        <th>Field Description</th>
    </tr>
    <tr>
        <td>Ball</td>
        <td>BGA Ball diameter</td>
    </tr>
    <tr>
        <td>Clearance</td>
        <td>Clearance between pin rows</td>
    </tr>
    <tr>
        <td>Drill</td>
        <td>Drill diameter</td>
    </tr>
    <tr>
        <td>Layout</td>
        <td>Specific footprint layout<br>e.g. <code>Layout3x7</code> for a BGA with 21 balls arranged in 3 columns and 7 rows</td>
    </tr>
    <tr>
        <td>Lead</td>
        <td>Lead dimensions</td>
    </tr>
    <tr>
        <td>Mask</td>
        <td>Custom soldermask dimensions</td>
    </tr>
    <tr>
        <td>Pad</td>
        <td>Custom pad dimensions</td>
    </tr>
    <tr>
        <td>Tab</td>
        <td>Tab dimensions</td>
    </tr>
</table>